Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027782
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementminorhave not tried2014-10-07 12:172014-12-30 23:24
ReporterjonalegriaesarteView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionee16efd88b66
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027782: Message when unprocessing an expense sheet and there is a purchase invoice created for this document is not correct

DescriptionMessage when unprocessing an expense sheet and there is a purchase invoice created for this document is not correct. Actual message:
Error:
Sales Order has been already booked for the document

It should refer to the purchase invoice, not to a sales order
Steps To Reproduce- Create an expense sheet with one line. Set the flag reinvoicing in line
- Using Create AP from expenses, create the purchase invoice
- Complete the invoice
- Try to unprocess the expense sheet

See image attached for reference
TagsNo tags attached.
Attached Filespng file icon expense.png [^] (95,494 bytes) 2014-10-07 12:17

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071260)
reinaldoguerra (developer)
2014-10-30 01:32

Test plan used:
1- Login into Openbravo ERP
2- Go to Expense Sheet window and create a new record
3- Select organization F&B España - Región Norte and employee named: Javier Martín
4- Go to Business partner window and check "Javier Martín" vendor tab. These fields must be defined: Purchase Price List, PO Payment Method, PO Payment Terms, PO Financial Account.
5- Go to product window and create a new one named: "Expense test"
6- Select "Expense type" in product type field and "IVA Normal Servicios" as Tax category
7- Go to price tab and select a price list version. Enter prices values.
8- Go back to Expense Sheet lines tab and create a new one.
9- Select created product, set as true reinvoincing flag and select a business partner.
10- Process expense sheet.
11- Go to Create AP Expense Invoice window
12- Select employee and fill date range.
13- Process it, check that a purchase invoice will be created
14- Go back to Expense Sheet and try to unprocess it
15- Error message is now related to the purchase invoice.
(0071519)
hgbot (developer)
2014-11-10 10:25

Repository: erp/devel/pi
Changeset: ee16efd88b66b0e451903a8210c5f80ae2d9f1ca
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Wed Oct 29 14:07:39 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/ee16efd88b66b0e451903a8210c5f80ae2d9f1ca [^]

Fixed bug 27782: Message refering invoice when unprocessing an expense sheet.

Error message when unprocessing an expense sheet and there is a purchase invoice created for this document has been changed to refer purchase invoice flow instead of sales order.
This message is used only in process/unprocess Expense Sheet stored procedure.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0071521)
pramakrishnan (developer)
2014-11-10 10:27

Code Review +Testing - OK.
(0073033)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-07 12:17 jonalegriaesarte New Issue
2014-10-07 12:17 jonalegriaesarte Assigned To => AtulOpenbravo
2014-10-07 12:17 jonalegriaesarte File Added: expense.png
2014-10-07 12:17 jonalegriaesarte Modules => Core
2014-10-07 12:17 jonalegriaesarte Triggers an Emergency Pack => No
2014-10-29 16:50 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-10-29 16:50 reinaldoguerra Status new => scheduled
2014-10-30 01:32 reinaldoguerra Note Added: 0071260
2014-11-10 10:25 hgbot Checkin
2014-11-10 10:25 hgbot Note Added: 0071519
2014-11-10 10:25 hgbot Status scheduled => resolved
2014-11-10 10:25 hgbot Resolution open => fixed
2014-11-10 10:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ee16efd88b66b0e451903a8210c5f80ae2d9f1ca [^]
2014-11-10 10:27 pramakrishnan Review Assigned To => pramakrishnan
2014-11-10 10:27 pramakrishnan Note Added: 0071521
2014-11-10 10:27 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073033


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker